# Alert Routing Howto

How to setup alert routing for your team.

## My stage group would like to receive Slack alerts when our components violate their SLOs

You must be in an elite stage group team! 😉🙂 Thank you for shifting right and focusing on GitLab.com.

Luckily, this is easy to configure.

Step 1: Update the `teams` section in the [`service-catalog.yml`](https://gitlab.com/gitlab-com/runbooks/blob/master/services/service-catalog.yml) file, with a new `team` entry, as follows:

```yaml
teams:
- name: runner
  product_stage_group: runner
  slack_alerts_channel: alerts-ci-cd
```

1. `name` is name, using alphanumeric characters only
1. `product_stage_group` should match the `group` key in https://gitlab.com/gitlab-com/www-gitlab-com/blob/master/data/stages.yml
1. The `slack_alerts_channel` is the channel in Slack that the team would like to use for alerts (without the initial '#')

Step 2: Profit! Any alerts with a matching `product_stage_group` will then be routed to that team.

### Associating SLIs with your stage group

This step is not always required, as some components are already configured with a `feature_category`.

In the [metrics-catalog](https://gitlab.com/gitlab-com/runbooks/-/tree/master/metrics-catalog/services), ensure that the SLI is
associated with a `feature_category` using the `featureCategory` annotation, as shown below.

Valid feature categories can be found in https://gitlab.com/gitlab-com/www-gitlab-com/blob/master/data/stages.yml under the `categories` field.

```jsonnet
metricsCatalog.serviceDefinition({
  type: 'ci-runners',
  tier: 'runners',
  serviceLevelIndicators: {
    polling: {
      userImpacting: true,
      featureCategory: 'runner',
```

## My non-stage-group group would like to receive Slack alerts

Step 1: Update the `teams` section in the [`service-catalog.yml`](https://gitlab.com/gitlab-com/runbooks/blob/master/services/service-catalog.yml) file, with a new `team` entry, as follows:

```yaml
teams:
- name: data-analytics
  slack_alerts_channel: data-prom-alerts
```

Step 2: Ensure that the alert has a `team` label to match the team name from the previous step. Note that YAML configuration
files prefixed with `autogenerated-` are generated from Jsonnet. Do not edit these YAML files directly: locate the source
Jsonnet file and include the label there instead.


```yaml
    - alert: AirflowDown
      expr: >
        count(avg_over_time(up{job='airflow'}[5m]) * 100 < 50)
      for: 10m
      labels:
        alert_type: cause
        severity: s4
        team: data-analytics
```
